Skip to main content
`Ctrl`+`K`

# KSPGetPC

Returns a pointer to the preconditioner context set with `KSPSetPC()`.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetPC(KSP ksp, PC *pc)

Not Collective

## Input Parameter

- ksp - iterative context obtained from `KSPCreate()`

## Output Parameter

- pc - preconditioner context

## See Also

KSP: Linear System Solvers, `KSPSetPC()`, `KSP`, `PC`

## Level

developer

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/ksp/ksp/tutorials/ex53.c
src/ksp/ksp/tutorials/ex60.c
src/dm/impls/stag/tutorials/ex4.c
src/ksp/ksp/tutorials/ex12.c
src/dm/impls/stag/tutorials/ex2.c
src/dm/impls/stag/tutorials/ex3.c
src/ksp/ksp/tutorials/ex21.c
src/ksp/ksp/tutorials/ex64.c
src/dm/impls/stag/tutorials/ex1.c
src/ksp/ksp/tutorials/ex68.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages